<html>
<head>
<title>Ogre::GLES2FBOManager::RBRef Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLES2FBOManager.html">GLES2FBOManager</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBRef.html">RBRef</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLES2FBOManager::RBRef Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLES2FBOManager::RBRef" -->
<p><a href="structOgre_1_1GLES2FBOManager_1_1RBRef-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBRef.html#af9e3ffd3691051173d00266bf3db9a70">RBRef</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBRef.html#a080425c601bab5ee48133b40bca40dc6">RBRef</a> (<a class="el" href="classOgre_1_1GLES2RenderBuffer.html">GLES2RenderBuffer</a> *inBuffer)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLES2RenderBuffer.html">GLES2RenderBuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBRef.html#afb9291beb929c35e3a75c661a6480d55">buffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBRef.html#a5aea9c282544a588280a86b8a3835812">refcount</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html#l00168">168</a> of file <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af9e3ffd3691051173d00266bf3db9a70"></a><!-- doxytag: member="Ogre::GLES2FBOManager::RBRef::RBRef" ref="af9e3ffd3691051173d00266bf3db9a70" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBRef.html#af9e3ffd3691051173d00266bf3db9a70">Ogre::GLES2FBOManager::RBRef::RBRef</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html#l00170">170</a> of file <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a080425c601bab5ee48133b40bca40dc6"></a><!-- doxytag: member="Ogre::GLES2FBOManager::RBRef::RBRef" ref="a080425c601bab5ee48133b40bca40dc6" args="(GLES2RenderBuffer *inBuffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBRef.html#af9e3ffd3691051173d00266bf3db9a70">Ogre::GLES2FBOManager::RBRef::RBRef</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLES2RenderBuffer.html">GLES2RenderBuffer</a> *&#160;</td>
          <td class="paramname"><em>inBuffer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html#l00171">171</a> of file <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="afb9291beb929c35e3a75c661a6480d55"></a><!-- doxytag: member="Ogre::GLES2FBOManager::RBRef::buffer" ref="afb9291beb929c35e3a75c661a6480d55" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLES2RenderBuffer.html">GLES2RenderBuffer</a>* <a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBRef.html#afb9291beb929c35e3a75c661a6480d55">Ogre::GLES2FBOManager::RBRef::buffer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html#l00174">174</a> of file <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5aea9c282544a588280a86b8a3835812"></a><!-- doxytag: member="Ogre::GLES2FBOManager::RBRef::refcount" ref="a5aea9c282544a588280a86b8a3835812" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBRef.html#a5aea9c282544a588280a86b8a3835812">Ogre::GLES2FBOManager::RBRef::refcount</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html#l00175">175</a> of file <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:28
</p>
</body>
</html>
